Subject: Re: bug#47780: [installer] Trying to install to DVD leads to crash

From: Ludovic Courtès <[email-masked]>
Date: Mon, 14 Jun 2021 14:32:04 +0200

Hi,

Mathieu Othacehe <[email-masked]> skribis:

>> Possible improvements are:
>>
>>   1. gracefully handling this error;
>>   2. filtering out read-only storage devices from the menu.
>>
>> Thoughts?
>
> Thanks to David's help[1], I realized that the non-filtering of the
> installation device was causing some of the (uuid->string #f) issues
> users were experimenting.
>
> With this commit: 154a4e046281c28e39b5016e965d3d937a2ea4a1, I improved
> the install device detection by removing the device with the default
> Guix System image ISO label.

Nice.

> Now this is fragile and won't work if the ISO label is modified like in
> your use-case. I cannot find another reliable way to detect the
> installation device in the "non-install-devices" procedure. Do you have
> any better idea?

Does Parted provide a way to tell whether a storage device is read-only?
That would be ideal.

Thanks,
Ludo’.